#  $Id: Address_Changed.pm,v 1.1.1.1 2008/02/17 23:31:10 jonas Exp $  -*-cperl-*-
package Email::Classifier::Address_Changed;
#=====================================================================
#
# AUTHOR
#   Jonas Liljegren   <jonas@cpan.org>
#
# COPYRIGHT
#   Copyright (C) 2008 Avisita AB.  All Rights Reserved.
#
#=====================================================================

=head1 NAME

Email::Classifier::Address_Changed

=cut

use strict;
use Carp qw( croak confess cluck );

=head1 DESCRIPTION

Based on L<Mail::DeliveryStatus::BounceParser>

=cut


#######################################################################

=head2 new

=cut

sub new
{
    my( $this, $email ) = @_;
    my $class = ref($this) || $this;

    my $c = bless
    {
     email => $email,
     is_address_changed => 0,
    }, $class;
#    weaken( $c->{'email'} );

    $c->analyze;

    return $c;
}


#######################################################################

=head2 is_address_changed

=cut

sub is_address_changed
{
    my( $c ) = @_;

    return $c->{'is_address_changed'} ? 1 : 0;
}


#######################################################################

=head2 analyze

=cut

sub analyze
{
    my( $c ) = @_;

    my $email = $c->{'email'};

#    warn "  Analyzing for Address Changed";


#  # "Email address changed but your message has been forwarded"
#  {
#    last if $message->effective_type eq 'multipart/report';
#    last if !$first_part || $first_part->effective_type ne 'text/plain';
#    my $string = $first_part->as_string;
#    last if length($string) > 3000;
#    last if $string
#      !~ /(address .{0,60} changed | domain .{0,40} retired) .*
#          (has\s*been|was|have|will\s*be) \s* (forwarded|delivered)/six;
#    $self->log('looks like an address-change autoreply, ignoring');
#    $self->{type} = 'informational address-change autoreply';
#    $self->{is_bounce} = 0;
#    return $self;
#  }

    return 1;
}


#######################################################################

1;
