#  $Id: AOL_Senderblock.pm,v 1.1.1.1 2008/02/17 23:31:10 jonas Exp $  -*-cperl-*-
package Email::Classifier::Bounce::AOL_Senderblock;

use strict;

=head1 NAME

Email::Classifier::Bounce::AOL_Senderblock - Airmail sender block

=head2 analyze

=cut

sub analyze
{
    my( $c ) = @_;

    my $top = $c->top;

#    warn "In AOL_Senderblock\n";

    return unless ($top->header("Mailer")||'') =~ /AirMail/i;
    return unless $c->effective_type eq "text/plain";
    return unless $top->body =~ /Your mail to the following recipients could not be delivered because they are not accepting mail/i;

    my ($host) = $top->header("From") =~ /\@(\S+)>/;

    my %report;

    for( split /\n/, $top->body )
    {
	# "Sorry luser@example.com. Your mail to the...
	# Get rid of this so that the module doesn't create a report for
	# *your* address.
	s/Sorry \S+?@\S+?\.//g;

	# TODO: Handle reasons
	# ... not accepting mail from
	# ... not accepting mail with attachments or embedded images

	if( /^\s*(\S+)\s*$/ )
	{
	    my $recipient = $1;
	    if( $recipient =~ /\@/ )
	    {
		$report{'email'} = $c->_cleanup_email($recipient);
		next;
	    }

	    s/^(\s*)(\S+)(\s*)$/$1$2\@$host$3/;
	    $report{'email'} = $c->_cleanup_email($_);
	    next;
	}
    }

    $c->new_report(\%report);

    return 1;
}

1;
