#  $Id: Challenge_Response.pm,v 1.1.1.1 2008/02/17 23:31:10 jonas Exp $  -*-cperl-*-
package Email::Classifier::Challenge_Response;
#=====================================================================
#
# AUTHOR
#   Jonas Liljegren   <jonas@cpan.org>
#
# COPYRIGHT
#   Copyright (C) 2008 Avisita AB.  All Rights Reserved.
#
#=====================================================================

=head1 NAME

Email::Classifier::Challenge_Response

=cut

use strict;
use Carp qw( croak confess cluck );

=head1 DESCRIPTION

Based on L<Mail::DeliveryStatus::BounceParser>

=cut


#######################################################################

=head2 new

=cut

sub new
{
    my( $this, $email ) = @_;
    my $class = ref($this) || $this;

    my $c = bless
    {
     email => $email,
     is_challenge_response => 0,
    }, $class;
#    weaken( $c->{'email'} );

    $c->analyze;

    return $c;
}


#######################################################################

=head2 is_challenge_response

=cut

sub is_challenge_response
{
    my( $c ) = @_;

    return $c->{'is_challenge_response'} ? 1 : 0;
}


#######################################################################

=head2 analyze

=cut

sub analyze
{
    my( $c ) = @_;

    my $email = $c->{'email'};

    warn "  Analyzing for Challenge Response\n";

    my $da = $email->header("x-delivery-agent") || '';

    # Deal with some common C/R systems like TMDA
    if( $da =~ /^TMDA/ )
    {
	warn "Challenge / Response system autoreply";
	$c->{'is_challenge_response'} = 1;
    }

    return 1;
}


#######################################################################

1;
