#!perl -wT
use strict;

use Test::More tests => 3;

use Email::Classifier;
use Email::MIME;

# Test parsing AOL "sender block" messages

# FH because we're being backcompat to pre-lexical
sub readfile {
  my $fn = shift;
  open FH, "$fn" or die $!;
  local $/;
  my $text = <FH>;
  close FH;
  return Email::MIME->new($text);
}

my $message = readfile('t/corpus/aol-senderblock.msg');
my $bounce = Email::Classifier->new($message)->bounce;

isa_ok($bounce, 'Email::Classifier::Bounce');

ok($bounce->is_bounce, "it's a bounce, alright");

my ($report) = $bounce->reports;

is_deeply(
  [ $bounce->addresses ],
  [ 'mykewlaolacct@aol.com' ],
  "We've got the right address",
);

