#!perl -wT
use strict;

use Test::More tests => 2;

use Email::Classifier;
use Email::MIME;

# FH because we're being backcompat to pre-lexical
sub readfile {
  my $fn = shift;
  open FH, "$fn" or die $!;
  local $/;
  my $text = <FH>;
  close FH;
  return Email::MIME->new($text);
}

my $message = readfile('t/corpus/non-autoreply.msg');

my $bounce = Email::Classifier->new($message)->bounce;

isa_ok($bounce, 'Email::Classifier::Bounce');

ok($bounce->is_bounce, "it's a bounce, alright");

