#!perl -wT
use strict;

use Test::More tests => 3;

use Email::Classifier;
use Email::MIME;

# Make sure we don't interpret part of an IP address as a status code
# See bug #20734

# FH because we're being backcompat to pre-lexical
sub readfile {
  my $fn = shift;
  open FH, "$fn" or die $!;
  local $/;
  my $text = <FH>;
  close FH;
  return Email::MIME->new($text);
}

my $message = readfile('t/corpus/postfix-smtp-550.msg');

my $bounce = Email::Classifier->new($message)->bounce;

isa_ok($bounce, 'Email::Classifier::Bounce');

ok($bounce->is_bounce, "it's a bounce, alright");

my ($report) = $bounce->reports;

is($report->header('smtp_code'), 550, "we got the right smtp code");

